Bug 350 - X crashes(goes back to login screen) when Using VLC or xine or Kaffeine to play a video
: X crashes(goes back to login screen) when Using VLC or xine or Kaffeine to pl...
Status: CLOSED WONTFIX
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: X11 Driver
: .archived
: All Linux
: low normal
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 13:42 CST by brian_pate
Modified: 2012-08-16 08:10 CDT (History)
5 users (show)



Attachments
atigetsysteminfo-report (70.71 KB, application/zip)
2011-12-01 13:45 CST, brian_pate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brian_pate 2011-12-01 13:42:51 CST
Description of problem: X crashes(goes back to login screen) when Using VLC or xine or Kaffeine in Fedora 16 to play a video.

Steps to reproduce:
1. Start VLC
2. Open Video file
3. Play Video file

Actual result: X System crashes(I am sent back to the login screen). Same thing happens in KDE or Gnome. Same thing happens with various files(AVIs and DVDs)

Expected result: Video file plays ok.
Comment 1 brian_pate 2011-12-01 13:45:40 CST
Created attachment 301 [details]
atigetsysteminfo-report
Comment 2 gtroland 2011-12-03 13:32:55 CST
I have the same issue.  Reproduced with Dragonplayer and Kdenlive as well.

Following might be helpful.

Equipment: AMD A4-3300 APU with integrated Radeon HD6410D; Gigabyte
A75M-UDH2H motherboard, BIOS 012.043.009.000.000000;

Software: OS Version Linux 3.1.2-1.fc16.x86_64; KDE 4.7.3;
xorg-x11-server 1.11.2-3.fc16; Catalyst version 11.11; OpenGL 4.1.11251;

From Xorg.log:

Backtrace:
[  8974.240] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x462d8f]
[  8974.240] 1: /usr/bin/X (0x400000+0x67d66) [0x467d66]
[  8974.240] 2: /lib64/libpthread.so.0 (0x3886400000+0xf4f0) [0x388640f4f0]
[  8974.240] 3: /usr/lib64/xorg/modules/drivers/fglrx_drv.so
(xs111LookupPrivate+0x22) [0x7ffb808b4c72]
[  8974.240] 4: /usr/lib64/xorg/modules/drivers/fglrx_drv.so
(xclLookupPrivate+0xd) [0x7ffb8028775d]
[  8974.240] 5: /usr/lib64/xorg/modules/amdxmm.so (X740XvPutImage+0x12e)
[0x7ffb7d45a8de]
[  8974.240] 6: /usr/bin/X (0x400000+0x9ab80) [0x49ab80]
[  8974.240] 7: /usr/lib64/xorg/modules/extensions/libextmod.so
(0x7ffb8198a000+0x12750) [0x7ffb8199c750]
[  8974.240] 8: /usr/bin/X (0x400000+0x33a81) [0x433a81]
[  8974.240] 9: /usr/bin/X (0x400000+0x22db5) [0x422db5]
[  8974.240] 10: /lib64/libc.so.6 (__libc_start_main+0xed) [0x3885c2169d]
[  8974.240] 11: /usr/bin/X (0x400000+0x230a1) [0x4230a1]
[  8974.240] Segmentation fault at address 0x20
[  8974.240] 
Fatal server error:
[  8974.240] Caught signal 11 (Segmentation fault). Server aborting
[  8974.240] 
[  8974.240] 
Please consult the Fedora Project support 
  at http://wiki.x.org
 for help. 
[  8974.240] Please also check the log file at "/var/log/Xorg.0.log" for
additional information.
[  8974.240] 
[  8974.249] (II) evdev: Power Button: Close
[  8974.249] (II) UnloadModule: "evdev"
[  8974.249] (II) Unloading evdev
[  8974.253] (II) evdev: Power Button: Close
[  8974.253] (II) UnloadModule: "evdev"
[  8974.253] (II) Unloading evdev
[  8974.266] (II) evdev: Logitech Trackball: Close
[  8974.266] (II) UnloadModule: "evdev"
[  8974.266] (II) Unloading evdev
[  8974.272] (II) evdev: AT Translated Set 2 keyboard: Close
[  8974.272] (II) UnloadModule: "evdev"
[  8974.272] (II) Unloading evdev
[  8974.272] (II) AIGLX: Suspending AIGLX clients for VT switch
[  8974.276] (II) fglrx(0): Backup framebuffer data.
[  8974.301] (II) fglrx(0): Backup complete.
[  8974.940] Server terminated with error (1). Closing log file.
Comment 3 Carl Myers 2011-12-07 03:15:35 CST
I am experiencing this also.  My stack trace is the same...


[   276.057] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f376fdf28f6]
[   276.057] 1: /usr/bin/X (0x7f376fc6e000+0x188559) [0x7f376fdf6559]
[   276.057] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f376ef97000+0xf020) [0x7f376efa6020]
[   276.058] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs111LookupPrivate+0x22) [0x7f376b899c72]
[   276.058] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclLookupPrivate+0xd) [0x7f376b26c75d]
[   276.058] 5: /usr/lib/xorg/modules/amdxmm.so (X740XvPutImage+0x12e) [0x7f376867c8de]
[   276.058] 6: /usr/bin/X (0x7f376fc6e000+0xa693e) [0x7f376fd1493e]
[   276.058] 7: /usr/lib/xorg/modules/extensions/libextmod.so (0x7f376cd9a000+0x12e02) [0x7f376cdace02]
[   276.058] 8: /usr/bin/X (0x7f376fc6e000+0x51f59) [0x7f376fcbff59]
[   276.058] 9: /usr/bin/X (0x7f376fc6e000+0x411ba) [0x7f376fcaf1ba]
[   276.058] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f376dcc2ead]
[   276.058] 11: /usr/bin/X (0x7f376fc6e000+0x414ad) [0x7f376fcaf4ad]
[   276.058] Segmentation fault at address 0x20


I get this whenever I use mplayer to play a video.

I am running debian wheezy, and catalyst 11-11.
(1:12:28):cmyers@microbyte:3] dpkg -l | grep fglrx
ii  fglrx-atieventsd                    1:11-11-3                         external events daemon for the non-free ATI/AMD RadeonHD display driver
ii  fglrx-control                       1:11-11-3                         control panel for the non-free ATI/AMD RadeonHD display driver
ii  fglrx-driver                        1:11-11-3                         non-free ATI/AMD RadeonHD display driver
ii  fglrx-glx                           1:11-11-3                         transitional package, use libgl1-fglrx-glx
ii  fglrx-glx-ia32                      1:11-11-3                         proprietary libGL for the non-free ATI/AMD RadeonHD display driver (32-bit)
ii  fglrx-modules-dkms                  1:11-11-3                         dkms module source for the non-free ATI/AMD RadeonHD display driver
ii  glx-alternative-fglrx               0.2.0                             allows the selection of FGLRX as GLX provider
ii  libfglrx                            1:11-11-3                         non-free ATI/AMD RadeonHD display driver (runtime libraries)
ii  libfglrx-ia32                       1:11-11-3                         non-free ATI/AMD RadeonHD display driver (32-bit runtime libraries)
ii  libgl1-fglrx-glx                    1:11-11-3                         proprietary libGL for the non-free ATI/AMD RadeonHD display driver
(1:13:20):cmyers@microbyte:3] uname -a
Linux microbyte 3.1.0-1-amd64 #1 SMP Mon Nov 14 08:02:25 UTC 2011 x86_64 GNU/Linux
(1:13:46):cmyers@microbyte:3] dpkg -l | grep xorg-core
ii  xserver-xorg-core                   2:1.11.1.902-1                    Xorg X server - core server
Comment 4 Ole Bjørn Hessen 2011-12-18 15:14:37 CST
Same bug here.

Backtrace:
[425754.873] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f7ce45279a6]
[425754.873] 1: /usr/bin/X (0x7f7ce43a3000+0x188609) [0x7f7ce452b609]
[425754.873] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f7ce36cc000+0xf020) [0x7f7ce36db020]
[425754.954] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs111LookupPrivate+0x22) [0x7f7cdffc9fb2]
[425754.954] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclLookupPrivate+0xd) [0x7f7cdf99801d]
[425754.954] 5: /usr/lib/xorg/modules/amdxmm.so (X740XvPutImage+0x12e) [0x7f7cdc4508de]
[425754.954] 6: /usr/bin/X (0x7f7ce43a3000+0xa69ce) [0x7f7ce44499ce]
[425754.954] 7: /usr/lib/xorg/modules/extensions/libextmod.so (0x7f7ce14cf000+0x12e02) [0x7f7ce14e1e02]
[425754.954] 8: /usr/bin/X (0x7f7ce43a3000+0x51fc9) [0x7f7ce43f4fc9]
[425754.954] 9: /usr/bin/X (0x7f7ce43a3000+0x4122a) [0x7f7ce43e422a]
[425754.954] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f7ce23f7ead]
[425754.954] 11: /usr/bin/X (0x7f7ce43a3000+0x4151d) [0x7f7ce43e451d]
[425754.954] Segmentation fault at address 0x20
[425754.954] 
Fatal server error:
[425754.954] Caught signal 11 (Segmentation fault). Server aborting
[425754.954] 
[425754.954] 

HD 5450
[   296.377] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
[   296.389] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
[   296.389]    compiled for 1.4.99.906, module version = 8.92.6
[   296.389]    Module class: X.Org Video Driver


Also same  bug for HD 6570.

using debian unstable with latest drivers.

Somebody should bump this bug on higher pri?
Comment 5 Florent 2011-12-24 02:52:35 CST
I have the same bug with an HD 3300

I use mplayer and mplayer2 to provoke this bug (didn't test other).
I've also tried to add the following oiption, without much help either :

driver option :
Option "UseFastTLS" "2"                                                                                                                         
Option "VideoOverlay" "true"                                                                                                                     
Option "TMDSCoherentMode" "false"         


server option :
Option "AIGLX" "off" 


I'm on a debian sid with a fresh 3.1 linux compiled
I desactivate modeset from kernel arg, and use DVI as output.


If you need more information or test, don't hesitate to ask me.

Backtrace:                                                                                                                                           
[ 13170.045] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7ff5cdba09b6]                                                                                    
[ 13170.045] 1: /usr/bin/X (0x7ff5cda1c000+0x188619) [0x7ff5cdba4619]                                                                                
[ 13170.045] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7ff5ccd45000+0xf020) [0x7ff5ccd54020]                                                       
[ 13170.045] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs111LookupPrivate+0x22) [0x7ff5c9647c72]                                                
[ 13170.045] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclLookupPrivate+0xd) [0x7ff5c901a75d]                                                   
[ 13170.045] 5: /usr/lib/xorg/modules/amdxmm.so (X740XvPutImage+0x12e) [0x7ff5c630f8de]                                                              
[ 13170.045] 6: /usr/bin/X (0x7ff5cda1c000+0xa69ee) [0x7ff5cdac29ee]                                                                                 
[ 13170.045] 7: /usr/lib/xorg/modules/extensions/libextmod.so (0x7ff5cab48000+0x12e02) [0x7ff5cab5ae02]                                              
[ 13170.045] 8: /usr/bin/X (0x7ff5cda1c000+0x51fc9) [0x7ff5cda6dfc9]                                                                                 
[ 13170.045] 9: /usr/bin/X (0x7ff5cda1c000+0x4122a) [0x7ff5cda5d22a]                                                                                 
[ 13170.045] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7ff5cba70ead]                                                           
[ 13170.045] 11: /usr/bin/X (0x7ff5cda1c000+0x4151d) [0x7ff5cda5d51d]                                                                                
[ 13170.045] Segmentation fault at address 0x20       


----
version number :
ii  fglrx-atieventsd                              1:11-11-3                         external events daemon for the non-free ATI/AMD RadeonHD display driver
ii  fglrx-control                                 1:11-11-3                         control panel for the non-free ATI/AMD RadeonHD display driver
ii  fglrx-driver                                  1:11-11-3                         non-free ATI/AMD RadeonHD display driver
ii  fglrx-modules-dkms                            1:11-11-3                         dkms module source for the non-free ATI/AMD RadeonHD display driver
ii  glx-alternative-fglrx                         0.2.0                             allows the selection of FGLRX as GLX provider
ii  libfglrx                                      1:11-11-3                         non-free ATI/AMD RadeonHD display driver (runtime libraries)
ii  libgl1-fglrx-glx                              1:11-11-3                         proprietary libGL for the non-free ATI/AMD RadeonHD display driver

ii  xserver-xorg-core                             2:1.11.2.902-1                    Xorg X server - core server
Comment 6 brian_pate 2011-12-24 11:26:21 CST
I tried updating to Kernel 3.1.6-1.fc16.x86_64 and Catalyst 11.12.
This did not fix the problem.
Comment 7 Arne Wörner 2011-12-26 18:05:01 CST
seems to be a duplicate of: http://ati.cchtml.com/show_bug.cgi?id=337 -arne
Comment 8 Florent 2011-12-28 02:50:52 CST
With the update in debian SID, the probel persist.
version of fglrx* :
1:11-12-1

version of xserver-xorg-core :
2:1.11.2.902-1
Comment 9 Cyril Chaboisseau 2012-01-29 15:05:13 CST
The problem is indeed very annoying and it is still present 1 year after it's discovery in the following version of fglrx/xorg:

fglrx: 1:12-1-1
xserver-xorg-core: 2:1.11.3.901-2

is there anything that could be done to nail down the bug?
bissect?
Comment 10 brian_pate 2012-03-23 14:34:48 CDT
Fixed!!!  (well initial testing looks ok)

Here's what I had to do -

Step 1) Download the latest AMD Driver, in my case this was http://www2.ati.com/drivers/linux/amd-driver-installer-12-2-x86.x86_64.run

Step 2) cd /usr/src/kernels/3.2.9-2.fc16.x86_64/arch/x86/include/asm/

Step 3) sudo cp uaccess_64.h uaccess_64.h.old

Step 4) sudo gedit uaccess_64.h and comment out the following four lines -

#ifdef CONFIG_DEBUG_VM
	else
		WARN(1, "Buffer overflow detected!\n");
#endif

for example - 

//#ifdef CONFIG_DEBUG_VM
//	else
//		WARN(1, "Buffer overflow detected!\n");
//#endif

Step 5) Install the AMD Driver as per AMD's instructions.

This worked for me, I hope it helps you.

Brian
Comment 11 Michael Cronenworth 2012-08-03 23:07:11 CDT
This message is a reminder that your bug is marked as Catalyst 11.11.

The current Catalyst version is 12.6.

Approximately 7 days from now the Bugzilla administrator will be removing the
11.11 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla
administrator provides this as a unofficial, free service to AMD customers, and
I like to keep my systems neat and tidy. If you would like to keep your bug
from being closed, please try a new Catalyst version and update the 'version'
field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will
change it for you.
Comment 12 Michael Cronenworth 2012-08-16 08:09:32 CDT
This bug is being closed due to the 'version' being 11.11 after 13 days of the
previous closure notice.

Thank you for your bug report.